### Function

# Ide VcsUri new

#### Declaration

    IdeVcsUri*
    ide_vcs_uri_new (
      const gchar* uri
    )

#### Description

No description available.

#### Parameters

`uri` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeVcsUri`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.